# Uses of Enum
com.fasterxml.jackson.core.StreamWriteFeature

Packages that use StreamWriteFeature
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.

## Uses of StreamWriteFeature in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return StreamWriteFeature
Modifier and Type
Method
Description
`static StreamWriteFeature`
StreamWriteFeature.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StreamWriteFeature[]`
StreamWriteFeature.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.core with parameters of type StreamWriteFeature
Modifier and Type
Method
Description
`B`
TSFBuilder.`configure(StreamWriteFeature f, boolean state)`
`B`
TSFBuilder.`disable(StreamWriteFeature f)`
`B`
TSFBuilder.`disable(StreamWriteFeature first, StreamWriteFeature... other)`
`B`
TSFBuilder.`enable(StreamWriteFeature f)`
`B`
TSFBuilder.`enable(StreamWriteFeature first, StreamWriteFeature... other)`
`final boolean`
JsonFactory.`isEnabled(StreamWriteFeature f)`
Check whether specified stream write feature is enabled.
`boolean`
JsonGenerator.`isEnabled(StreamWriteFeature f)`
Method for checking whether given feature is enabled.
`abstract boolean`
TokenStreamFactory.`isEnabled(StreamWriteFeature f)`